{"id":26901,"date":"2021-02-19T09:35:07","date_gmt":"2021-02-19T09:35:07","guid":{"rendered":"https:\/\/developer.kore.ai\/v9-0\/?p=26901"},"modified":"2021-03-18T11:05:19","modified_gmt":"2021-03-18T11:05:19","slug":"get-batch-test-suites-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v9-0\/docs\/bots\/api-guide\/get-batch-test-suites-api\/","title":{"rendered":"Get Batch Test Suites API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get the list of Batch Test Suites available for a bot.<\/p>\n<p class=\"note\">To use this API, app needs the Bot Builder Scope of <em>Batch Tests Management<\/em><br \/>\nOR the Admin API Scope of <em>Batch Tests Management<\/em>.<\/p>\n<p><b>GET <\/b><code>https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite?skip={skip}&amp;limit={limit}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Required<\/td>\n<td>Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<tr>\n<td>skip<\/td>\n<td>Optional<\/td>\n<td>Number of records to skip before fetching.<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>Optional<\/td>\n<td>The number of records to fetch.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X GET \\\r\n  https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite?skip={skip}&amp;limit={limit} \\\r\n  --header 'auth: {jwt-token}' \\\r\n  --header 'bot-language: {language-code}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>{\r\n    \"count\": 36,\r\n    \"moreAvailable\": true,\r\n    \"ts-2325d03c-e030-5f11-b1d2-374b180ace0f\": {\r\n        \"testSuiteType\": \"custom\",\r\n        \"name\": \"sdsa\",\r\n        \"description\": \"dfgfd\",\r\n        \"results\": [\r\n            {\r\n                \"_id\": \"tr-6bc96056-6f11-535b-aaa8-f9a72b871695\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-e1cc3543-8ccd-5674-8648-ec2ecc7b611d\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-0534c529-4d79-597a-9a35-c8ad44b05065\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-a1c34b8c-6d03-5e12-800a-358c1861e170\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-1a61b34d-0a49-5414-88ac-8faa09cf3ceb\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 2,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 2,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-84509dfa-34e2-58ce-986b-8360f0fc5a2e\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-2b05691f-ab91-562b-9859-75f9f8b54d82\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-75511670-2955-5564-b338-8f3ced40dfc9\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 1,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 1,\r\n                    \"success\": 1,\r\n                    \"failure\": 1,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.50\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"0.67\"\r\n            }\r\n        ]\r\n    },\r\n    \"Last100sentences\": {\r\n        \"testSuiteType\": \"prebuilt\",\r\n        \"results\": [\r\n            {\r\n                \"_id\": \"tr-db248103-4a85-5a52-87fc-bacc338ae071\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-80351fa0-ed2a-5536-8399-ddb877fea2cb\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-7d350066-645a-5baa-a428-7d02560932ca\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-21f8ffa5-1e81-58b4-80b7-202684fadf74\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 0,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 0,\r\n                    \"failure\": 3,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 3,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"0.00\",\r\n                \"precision\": \"0.00\",\r\n                \"f1_score\": \"0.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-4aa0b4e4-eee5-595f-87f4-2b27392442f9\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 3,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 3,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-054363db-eb74-57d9-bab2-dea9e96486da\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            }\r\n        ]\r\n    },\r\n    \"AllMlUtterances\": {\r\n        \"testSuiteType\": \"prebuilt\",\r\n        \"results\": [\r\n            {\r\n                \"_id\": \"tr-e2dae915-1427-5911-8dda-c682a03f0708\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-2b899359-17d2-5b1c-afc0-a8cdd6f3a111\",\r\n                \"version\": \"inDevelopment\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-1a248c92-86cc-5254-bdc9-7c66294d3257\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-c1325101-fed3-5a10-89e8-79db2fde72f4\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-3e8631f6-9c43-5f49-833c-eeb005606c24\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            },\r\n            {\r\n                \"_id\": \"tr-8e01282e-cb31-5fbb-aef0-153bdc4c16ef\",\r\n                \"version\": \"inDevelopment\",\r\n                \"results\": {\r\n                    \"TP\": 2,\r\n                    \"TN\": 0,\r\n                    \"FP\": 0,\r\n                    \"FN\": 0,\r\n                    \"success\": 2,\r\n                    \"failure\": 0,\r\n                    \"totalEntitiesCount\": 0,\r\n                    \"matchedEntitiesCount\": 0,\r\n                    \"failedUtteranceCount\": 0,\r\n                    \"failedEntitiesCount\": 0\r\n                },\r\n                \"recall\": \"1.00\",\r\n                \"precision\": \"1.00\",\r\n                \"f1_score\": \"1.00\"\r\n            }\r\n        ]\r\n    }\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get the list of Batch Test Suites available for a bot. To use this API, app needs the Bot Builder Scope of Batch Tests Management OR the Admin API Scope of Batch Tests Management. GET https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite?skip={skip}&amp;limit={limit} Path Parameters Parameter Required\/Optional Description host Required Environment URL, for example, https:\/\/bots.kore.ai BotID Required Bot ID or Stream...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-26901","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/posts\/26901","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/comments?post=26901"}],"version-history":[{"count":1,"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/posts\/26901\/revisions"}],"predecessor-version":[{"id":26902,"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/posts\/26901\/revisions\/26902"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/media?parent=26901"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/categories?post=26901"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v9-0\/wp-json\/wp\/v2\/tags?post=26901"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}